跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Delete a project column

DELETE
/user/projects/{id}/columns/{column_id}
curl --request DELETE \
--url https://gitea.example.com/api/v1/user/projects/1/columns/1 \
--header 'Authorization: Basic <credentials>'

Gitea Enterprise only. This endpoint is not part of the community edition.

The default column cannot be deleted while it is still the column new issues land in.

id
required
integer format: int64

Id of the project

column_id
required
integer format: int64

Id of the column

APIEmpty is an empty response

APIForbiddenError is a forbidden error response

message
string
url
string

APINotFound is a not found empty response

APIValidationError is error format response related to input validation

message
string
url
string